@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.bar {
  shape-rendering: crispEdges;
}

.netDot {
  stroke: var(--color-background-base);
  stroke-width: 1.5;
}

.hoverArea {
  fill: transparent;
}

.barGroup {
  &.dimmed {
    opacity: .3;
  }
}

.labels {
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;

  &.visible {
    visibility: visible;
    opacity: 1;
  }
}

.label {
  @include text-border;
  position: absolute;
  font-size: var(--font-size-s);
  color: var(--color-text-weaker);
  line-height: 1em;

  &.primary {
    font-weight: 600;
  }
}

.highlightLabel {
  font-size: var(--font-size-s);
}